> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.modbox.run/llms.txt.
> For full documentation content, see https://docs.modbox.run/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.modbox.run/_mcp/server.

# Create Workspace

POST https://api.modbox.run/workspaces
Content-Type: application/json

Create a new workspace. The caller becomes the owner.

Reference: https://docs.modbox.run/api-reference/modbox-api/workspaces/create-workspace

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: open-api
  version: 1.0.0
paths:
  /workspaces:
    post:
      operationId: create-workspace
      summary: Create Workspace
      description: Create a new workspace. The caller becomes the owner.
      tags:
        - subpackage_workspaces
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceCreateRequest'
servers:
  - url: https://api.modbox.run
    description: https://api.modbox.run
components:
  schemas:
    WorkspaceCreateRequest:
      type: object
      properties:
        description:
          type:
            - string
            - 'null'
        name:
          type: string
      required:
        - name
      description: Request to create a new workspace.
      title: WorkspaceCreateRequest
    WorkspaceRole:
      type: string
      enum:
        - owner
        - admin
        - member
        - viewer
      description: RBAC roles within a workspace.
      title: WorkspaceRole
    WorkspaceMemberResponse:
      type: object
      properties:
        added_by:
          type: string
        created_at:
          type: string
          format: date-time
        id:
          type: string
          format: uuid
        role:
          $ref: '#/components/schemas/WorkspaceRole'
        user_id:
          type: string
        workspace_id:
          type: string
          format: uuid
      required:
        - added_by
        - created_at
        - id
        - role
        - user_id
        - workspace_id
      description: Workspace member representation.
      title: WorkspaceMemberResponse
    WorkspaceDetail:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        created_by:
          type: string
        description:
          type:
            - string
            - 'null'
        id:
          type: string
          format: uuid
        members:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceMemberResponse'
          default: []
        name:
          type: string
        realm:
          type: string
        updated_at:
          type: string
          format: date-time
      required:
        - created_at
        - created_by
        - description
        - id
        - name
        - realm
        - updated_at
      description: Full workspace representation.
      title: WorkspaceDetail
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{
  "name": "string"
}
```

**Response**

```json
{
  "created_at": "2024-01-15T09:30:00Z",
  "created_by": "string",
  "description": "string",
  "id": "string",
  "name": "string",
  "realm": "string",
  "updated_at": "2024-01-15T09:30:00Z",
  "members": [
    {
      "added_by": "string",
      "created_at": "2024-01-15T09:30:00Z",
      "id": "string",
      "role": "owner",
      "user_id": "string",
      "workspace_id": "string"
    }
  ]
}
```

**SDK Code**

```typescript
import { ModboxOpenApiClient } from "modbox-sdk";

async function main() {
    const client = new ModboxOpenApiClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.workspaces.createWorkspace({
        name: "string",
    });
}
main();

```

```python
from modbox import ModboxOpenApi

client = ModboxOpenApi(
    token="YOUR_TOKEN_HERE",
)

client.workspaces.create_workspace(
    name="string",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.modbox.run/workspaces"

	payload := strings.NewReader("{\n  \"name\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.modbox.run/workspaces")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.modbox.run/workspaces")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.modbox.run/workspaces', [
  'body' => '{
  "name": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.modbox.run/workspaces");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.modbox.run/workspaces")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```